Loading...
Searching...
No Matches
irq File Reference

C++ Irq interface. More...

`#include <l4/sys/icu.h>`
`#include <l4/sys/irq.h>`
`#include <l4/sys/capability>`
`#include <l4/sys/rcv_endpoint>`
`#include <l4/sys/cxx/ipc_iface>`
`#include <l4/sys/cxx/ipc_types>`
Include dependency graph for irq:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | L4::Irq_eoi
| Interface for sending an unmask message to an object. More...
struct | L4::Triggerable
| Interface that allows an object to be triggered by some source. More...
class | L4::Irq
| C++ Irq interface, see IRQs for the C interface. More...
class | L4::Icu
| C++ Icu interface, see Interrupt controller for the C interface. More...
class | L4::Icu::Info
| This class encapsulates information about an ICU. More...

## Namespaces

namespace | L4
| L4 low-level kernel interface.

## Detailed Description

C++ Irq interface.

Definition in file irq.